#! /bin/sh
#  Giuseppe Vacanti (cosine science & computing)
#  October  2, 2001
#
# Test that documentation examples actually run.
# This is just an interface check, as validity of the contents is done
# in the other test harnesses. 
set -e

dscreatedataset --name=phaexamples.ds
dsaddtable --set=phaexamples.ds --name=EVENTS --rows=100
dsaddcolumn --name=TIME --type=real64 --table=phaexamples.ds: --withsize=yes --size=1

tabcalc --tables=phaexamples.ds: --column=TIME --expression="#ROW" --columntype=real64

dssetattr --to=phaexamples.ds:EVENTS%MJDREF --value=51802 --type=real
dssetattr --to=phaexamples.ds:EVENTS%TIMEZERO --value=0 --type=real

phasecalc --tables=phaexamples.ds:EVENTS --frequency=29.8309503578 --frequencydot=-374213.62e-15 --epoch=2001-04-01T00:00:00
